Skip to main content
GET
/
api
/
v2
/
portfolio
/
history
GET /api/v2/portfolio/history — Trade history
curl --request GET \
  --url https://api.shuriken.trade/api/v2/portfolio/history \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "trades": [
      {
        "chain": "<string>",
        "inputToken": "<string>",
        "isBuy": true,
        "outputToken": "<string>",
        "priceUsd": "<string>",
        "sizeUsd": "<string>",
        "timestamp": 123,
        "token": "<string>",
        "txHash": "<string>",
        "walletAddress": "<string>",
        "inputAmount": "<string>",
        "outputAmount": "<string>"
      }
    ],
    "warnings": [
      "<string>"
    ]
  },
  "requestId": "<string>",
  "pagination": {
    "hasMore": true,
    "limit": 1,
    "page": 1,
    "total": 1
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.shuriken.trade/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use Authorization: Bearer <jwt> for user auth or Authorization: Bearer sk_{keyId}_{secret} for API key auth.

Query Parameters

chain
string

Filter by chain: solana, base, bsc

page
integer<int32>

Page number

Required range: x >= 0
limit
integer<int32>

Results per page (max 100)

Required range: x >= 0

Response

200 - application/json

Trade history

V2 success response envelope

data
object
required
requestId
string
required
pagination
object

Page-based pagination info (per RFC)